Summary:          IJS Raster Image Transport Protocol Library
Name:             libijs
Version:          0.35
Release:          6%{?dist}
License:          AGPLv3+
URL:              https://ghostscript.com/
Source0:          https://github.com/ArtifexSoftware/ijs/archive/%{version}.tar.gz#/ijs-%{version}.tar.gz

BuildRequires:    gcc git autoconf automake libtool

%description
The IJS (InkJet Server) Raster Image Transport Protocol is a library, which is no longer actively developed,
and often other alternatives are used instead.

This library, however, still seem to be useful for Ghostscript application to be able to connect to the HP IJS
server to print on an HP printer.

%package devel
Summary:          Header & pkgconfig files for %{name}
BuildRequires:    pkgconfig make
Requires:         %{name} = %{version}-%{release}

%description devel
This subpackage provides /usr/include/ijs/ijs.h header file, as well as ijs.pc pkgconfig file. Both of these files
are useful for development purposes only.

%prep
%autosetup -n ijs-%{version} -S git

%build
autoreconf -ifv
%configure --disable-static --enable-shared
%make_build

%install
%make_install

rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%{_libdir}/libijs-%{version}.so

%files devel
%dir %{_includedir}/ijs
%{_includedir}/ijs/*.h
%{_libdir}/libijs.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 0.35-1
- initial build
